DS_REORDER_ARRAY(3)

FUNCTION
ds_reorder_array - Re-order a multi-dimensional array.

SYNOPSIS
#include <karma_ds.h>

flag ds_reorder_array

(array_desc *arr_desc, unsigned int order_list[], char *array, flag mod_desc)

DESCRIPTION
Re-order a multi-dimensional array.

arr_desc
    The array descriptor.

order_list
    This specifies the ordering of the dimensions. The first entry in the order list contains the number of the dimension, in the old order, which is to become the most significant dimension in the new ordering.

array
    The array. If this is NULL, only the array descriptor can be re-ordered (no data can be re-ordered).

mod_desc
    If TRUE the array descriptor will have its dimension descriptors re-ordered, else they will not be. This is useful to traverse a data structure, re-ordering the data, and then finally re-ordering the array descriptor to match.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/